#
# spec file for package tk (Version 8.4.12)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# neededforbuild  tcl tcl-devel x-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils expat fontconfig fontconfig-devel gcc gdbm gettext libtool perl rpm tcl tcl-devel xorg-x11-devel xorg-x11-libs

Name:         tk
URL:          http://www.tcl.tk
Version:      8.4.12
Release:      2.1
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      TK Toolkit for TCL
License:      BSD
Group:        Development/Languages/Tcl
Autoreqprov:  on
Summary:      TK Toolkit for TCL
Provides:     wish wish8.4
Requires:     tcl >= %version tcl < 8.5
Prereq:       /bin/rm
Source0:      %name%{version}-src.tar.bz2
Patch0:       %name.patch
Patch1:       %name-scim.patch

%description
TK Toolkit for TCL

Authors:
--------
    John Ousterhout  <john.ousterhout@eng.sun.com>

%package devel
Group:        Development/Languages/Tcl
License:      BSD
Summary:      Header Files and C API Documentation for Tk
Requires:     tk = %version, tcl-devel

%description devel
This package contains header files and documentation needed for writing
Tk extensions in compiled languages like C, C++, etc., or for embedding
Tk in programs written in such languages.

This package is not needed for writing extensions or applications for
Tk in the Tcl language itself.



Authors:
--------
    John Ousterhout  <john.ousterhout@eng.sun.com>

%define V_TKK   8.4
%prep
%setup -q -n %name%version
%patch0
%patch1
pushd unix
  %{?suse_update_config:%{suse_update_config}}
  autoconf
popd

%build
mkdir build
pushd build
  ../unix/configure \
	--prefix=%_prefix \
	--libdir=%_libdir \
	--mandir=%_mandir \
	--with-tcl=%_libdir \
	--enable-threads \
	--enable-man-symlinks \
	--enable-man-compression=gzip
  make %{?jobs:-j%jobs} \
	TK_LIBRARY="%_datadir/tcl/tk%V_TKK" \
	CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
	CFLAGS_WARNING=""
popd

%install
# these renamings are needed to avoid some file name clashes with other packages
mv doc/menubar.n doc/tk_menubar.n
mv doc/dialog.n doc/tk_dialog.n
mv doc/panedwindow.n doc/tk_panedwindow.n
make -C build install install-private-headers \
	TK_LIBRARY="%_datadir/tcl/tk%V_TKK" \
	INSTALL_ROOT=%buildroot
ln -sf wish%V_TKK %buildroot%_prefix/bin/wish

%clean
rm -rf %buildroot
%if %_lib == lib64

%post
test -L /usr/lib/tk%V_TKK && rm -f /usr/lib/tk%V_TKK
exit 0
%endif

%files
%defattr(-,root,root)
%doc README changes license.terms ChangeLog*
%docdir %_mandir/mann
%doc %_mandir/man1/*
%doc %_mandir/mann/*
%_prefix/bin/*
%_datadir/tcl
%_libdir/*.so

%files devel
%defattr(-,root,root)
%doc %_mandir/man3/*
%_prefix/include/*
%_libdir/*.a
%_libdir/tkConfig.sh

%changelog -n tk
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 04 2006 - max@suse.de
- Finally fixed the SCIM issues (#77424).
* Fri Dec 09 2005 - max@suse.de
- New version: 8.4.12.
- Enabled support for multithreading.
* Sun Nov 06 2005 - schwab@suse.de
- Fix syntax error in unix configure script.
* Tue Sep 06 2005 - max@suse.de
- Disabled the SCIM patch, because it causes some focus problems.
- Added a workaround that prevents Tk from using SCIM, so that at
  least normal keyboard input is possible (#77424).
* Fri Sep 02 2005 - max@suse.de
- Added tk-scim.patch to improve XIM support and make Tk work
  correctly with SCIM (#77424).
* Fri Jul 29 2005 - max@suse.de
- Re-added tkUnixDefault.h to tk-devel. It is needed by Tix.
* Wed Jul 27 2005 - max@suse.de
- New version: 8.4.11.
* Tue Jun 14 2005 - max@suse.de
- New version 8.4.10.
- Moved script libraries to /usr/share/tcl .
* Mon Mar 21 2005 - max@suse.de
- Fixed a small typo in the trigger script.
* Mon Mar 21 2005 - max@suse.de
- Added prerequisites for the trigger scripts (bug #74027).
* Fri Mar 18 2005 - max@suse.de
- Make sure that tk-32bit finds the script libraries when
  installed on a 64bit system.
* Fri Dec 03 2004 - max@suse.de
- New version: 8.4.9
* Mon Nov 22 2004 - max@suse.de
- New version: 8.4.8
* Fri Jul 30 2004 - max@suse.de
- New 8.4.7 tarball with a last-minute fix for broken Compose key.
* Wed Jul 28 2004 - max@suse.de
- New version: 8.4.7
* Fri Mar 05 2004 - max@suse.de
- Updated to the official 8.4.6 release tarball.
* Fri Feb 27 2004 - max@suse.de
- New version: 8.4.6
* Fri Feb 06 2004 - max@suse.de
- Added -fno-strict-aliasing to CFLAGS.
* Mon Feb 02 2004 - max@suse.de
- Building as a non-root user.
* Thu Jan 15 2004 - max@suse.de
- Package Tk internal headers again. They are still needed by some
  packages (e.g. tix).
* Mon Jan 12 2004 - max@suse.de
- New version: 8.4.5
- Cleaned up the spec file.
* Tue Sep 02 2003 - max@suse.de
- Disabled building of the static library to save build time and
  CD space.
* Wed Jul 23 2003 - max@suse.de
- New version: 8.4.4
- Split into tk and tk-devel.
* Wed May 21 2003 - max@suse.de
- New version: 8.4.3
- Removed obsolete patches.
* Wed Mar 05 2003 - max@suse.de
- Updated to official 8.4.2 release tarball.
- Added essential diff to RC1 as tk-20030305.patch.bz2.
* Fri Feb 28 2003 - max@suse.de
- Updated to 8.4.2 RC1, and added an essential diff to the
  previous tarball (tk-20030227.patch.bz2).
* Wed Feb 19 2003 - max@suse.de
- Updated to CVS HEAD, and added diff to previous verssion
  for completeness.
- Fixes several bugs, see ChangeLog for details.
* Fri Feb 07 2003 - max@suse.de
- Upgrade to CVS HEAD (8.4.2pre).
* Tue Nov 26 2002 - max@suse.de
- Included private header files (needed for Tix).
* Tue Nov 26 2002 - max@suse.de
- New version: 8.4.1
- Added tk-HEAD.patch with fixes that went in after the release.
- Moved the Tk sources back into a separate package, now that Tk
  can be built without access to the Tcl source tree.
- For the changes of the last four years see tcl.changes in the
  tcl package.
* Tue Nov 24 1998 - max@suse.de
- merged spec-files into tcl_new.spec
* Mon Nov 23 1998 - max@suse.de
- new version: 8.0.4
- cleand up softlinks and compression for man pages
* Thu Jan 08 1998 - hf@suse.de
- bugfix for missing tkConfig8.0.sh
* Mon Nov 10 1997 - hf@suse.de
- new version 8.0p1
* Wed Oct 15 1997 - hf@suse.de
- ready for autobuild
* Thu Jul 03 1997 - hf@suse.de
- A new version 8.0b2. The second (and probably last) beta release of
  Tk 8.0.
* Tue Jun 03 1997 - hf@suse.de
- added static librs and all links for the manpages in
  the /usr/doc/packages/tk8.0/man
* Fri May 16 1997 - hf@suse.de
- added new link
* Mon May 12 1997 - hf@suse.de
- added new patch invisible.patch
* Tue Apr 15 1997 - hf@suse.de
- Manpages hardlinks removed and added softlinks to compressd manpages
- The new directory for the manpages is /usr/doc/packeges/tcl8.0/man
